%define name oracle-em-agent-12cR4-preinstall 
%define version 1.0
%define release 7.el6



Summary: Sets the system for Oracle Enterprise Manager Agent for Oracle Linux 6
Name: %{name}
Version: %{version}
Release: %{release}
Group: Test Environment/Libraries
License: GPLv2
Vendor:Oracle
Source: %{name}-%{version}.tar.gz
Provides: %{name} = %{version}

PreReq:/etc/redhat-release

#As per em agent spec of 12cR4 for ol6
Requires:glibc make binutils libaio glibc-common libstdc++ 
Requires:sysstat openssh-clients openssh sudo
Requires:gcc

#System requirement
Requires:pam
Requires:kernel-uek


BuildRoot: %{_builddir}/%{name}-%{version}-root

%description
This package installs software packages and sets system parameters required for Oracle  Enterprise Manager Agent for Oracle Linux 6
Files added : /etc/security/limits.d/oracle-em-agent-12cR4-preinstall.conf

%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q


%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/security/limits.d
mkdir -p -m 700 $RPM_BUILD_ROOT/var/log/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sudoers.d

install -m 700 oracle-em-agent-12cR4-preinstall $RPM_BUILD_ROOT/usr/bin
install -m 600 oracle-em-agent-12cR4-preinstall.conf $RPM_BUILD_ROOT/etc/security/limits.d
install -m 600 oracle-em-agent-12cR4-preinstall-sudo-conf $RPM_BUILD_ROOT/etc/sysconfig/%{name}
touch  $RPM_BUILD_ROOT/etc/sudoers.d/oracle-em-agent-12cR4-preinstall-sudo-conf


%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/usr/bin/oracle-em-agent-12cR4-preinstall 2> /dev/null 1>&2


%preun

%postun
if [ "$1" = "0" ] ; then # last uninstall
 if [ -d /var/log/%{name} ]; then
   rm -rf /var/log/%{name} 2> /dev/null
 fi
fi


%files
%defattr(-,root,root)
%doc COPYING
%config /etc/security/limits.d/oracle-em-agent-12cR4-preinstall.conf
%config /etc/sysconfig/%{name}/oracle-em-agent-12cR4-preinstall-sudo-conf
/usr/bin/oracle-em-agent-12cR4-preinstall
/var/log/%{name}
%ghost /etc/sudoers.d/oracle-em-agent-12cR4-preinstall-sudo-conf



%changelog
* Wed Sep 10 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0-7.el6]
- Updated date in copyright 

* Tue Sep 09 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0-6.el6]
- Added COPYING file

* Fri Aug 08 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0-5.el6]
- Created for 12cR4

* Tue May 28 2013 Gurudas Pai <gurudas.pai@oracle.com> [1.0-4.el6]
- Change license to GPLv2

* Tue Mar 05 2013 Gurudas Pai <gurudas.pai@oracle.com> [1.0-3.el6]
 - rename sudo.conf to sudo-conf

* Tue Mar 05 2013 Gurudas Pai <gurudas.pai@oracle.com> [1.0-2.el6]
 - Include gcc

* Tue Dec 04 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.0-1.el6]
 - Created based on 11g preinstall. 
 - Added oracle-em-agent-12cR4-preinstall.conf under 
   /etc/security/limits.d/
